package StackArray;

import java.util.Arrays;

/**
 * Expand the ArrayList implementation of stack here to use an E[] array.  Still implement push, pop, and isEmpty.
 * Remember, you might need to resize the stack in the push method.
 * @param <E>
 */
public class GenericStack<E> {
    private E[] elements;
    private int size = 0;

    public GenericStack() {
        this.elements = (E[]) new Object[2];
    }

    public boolean isEmpty() {
        return size == 0;
    }


    public void push(E foobar) {
        if (size >= elements.length - 1) {
            elements = Arrays.copyOf(elements, elements.length + elements.length);
        }

        this.elements[size++] = foobar;
    }

    public E pop() {
        E element = elements[size - 1];
        this.elements[size - 1] = null;
        size--;
        return element;
    }
}
