package StackArray;

import java.util.Arrays;

/**
 * Expand the ArrayList implementation of stack here to use an Object[] array.  Still implement push, pop, and isEmpty.
 * Remember, you might need to resize the stack in the push method.
 * @param <E>
 */
public class ObjectStack<E> {
    private Object[] elements;
    private int size = 0;

    public ObjectStack() {
        this.elements = new Object[2];
    }

    public boolean isEmpty() {
        return size == 0;
    }

    public void push(E foobar) {
        if (size >= elements.length - 1) {
            elements = Arrays.copyOf(elements, elements.length + elements.length);
        }

        elements[size++] = foobar;
    }

    public Object pop() {
        Object element = elements[size - 1];
        elements[size - 1] = null;
        size--;
        return element;
    }
}
