package StackArrayList;

import java.util.ArrayList;
import java.util.Collections;

/**
 * Implement Stack<E> by adding the push, pop, and isEmpty functions.  It must pass the prewritten unit tests.
 * If you pop on an empty stack, throw an IndexOutOfBoundsException.
 */
public class Stack<E> {
    private ArrayList elements;

    public Stack(){
        this.elements = new ArrayList();
    }

    public boolean isEmpty() {
        return elements.isEmpty();
    }


    public E push(E foobar) {
        elements.add(foobar);
        return foobar;
    }


    public E pop() throws IndexOutOfBoundsException{
        Collections.reverse(elements);
        E element = (E) elements.remove(0);
        return element;
    }
}
